package de.ivu.elect.business.wahlbeteiligung.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class WahlbeteiligungVerlaufGebietProperties
{

private final WahlbeteiligungVerlaufGebiet entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaBigDecimalProperty
                  wahlbeteilungProperty;

        
    

public WahlbeteiligungVerlaufGebietProperties(WahlbeteiligungVerlaufGebiet entity) {
this.entity = entity;

}

private static WahlbeteiligungVerlaufGebietMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( WahlbeteiligungVerlaufGebietMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractBigDecimalProperty
                getWahlbeteilungProperty() {
        if (wahlbeteilungProperty == null) {
        wahlbeteilungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaBigDecimalProperty
        
        (
        getMetaData().getWahlbeteilungEinzahlMessage(),
        getMetaData().getWahlbeteilungDefaultValue(),
        getMetaData().isWahlbeteilungRequired(),
                    "##0.00",
                entity::setWahlbeteilung,
        entity::getWahlbeteilung

                    , de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufGebietConstants.WAHLBETEILUNG_MIN_VALUE,
            de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufGebietConstants.WAHLBETEILUNG_MAX_VALUE,
            de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufGebietConstants.WAHLBETEILUNG_MAX_LENGTH
                );

        }


        return wahlbeteilungProperty;
        }





        
        }